# $Revision: 1.55 $, $Date: 2012/02/08 18:23:05 $
Summary:	The Vorbis General Audio Compression Codec
Summary(pl.UTF-8):	Kodek kompresji audio - Vorbis
Summary(pt_BR.UTF-8):	Biblioteca libvorbis
Summary(ru.UTF-8):	Кодек звуковой компрессии Vorbis
Summary(uk.UTF-8):	Кодек звукової компресії Vorbis
Name:		libvorbis
Version:	1.3.3
Release:	1
Epoch:		1
License:	BSD
Group:		Libraries
Source0:	http://downloads.xiph.org/releases/vorbis/%{name}-%{version}.tar.xz
# Source0-md5:	71b649d3e08e63ece16649df906ce8b9
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-make.patch
URL:		http://www.vorbis.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.6
BuildRequires:	gcc >= 5:3.0
BuildRequires:	libogg-devel >= 2:1.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	libogg >= 2:1.0
Obsoletes:	libvorbis0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates from 16 to 128 kbps/channel.

%description -l pl.UTF-8
Ogg Vorbis jest całkowicie otwartym, nie będącym niczyją własnością,
wolnym od patentów, ogólnego przeznaczenia kodekiem audio i muzyki o
stałej i zmiennej bitrate od 16 do 128 kbps/kanał.

%description -l ru.UTF-8
Ogg Vorbis - это полностью открытый, свободный от патентов и авторских
отчислений формат сжатия аудиоданных с фиксированным и изменяющимся
битрейтом от 16 до 128 килобит в секунду на канал.

%description -l uk.UTF-8
Ogg Vorbis - це повністю відкритий, вільний від патентів та авторських
відрахувань формат компресованого аудіо з фіксованим та змінним
бітрейтом від 16 до 128 кілобіт в секунду на канал.

%description -l pt_BR.UTF-8
Ogg Vorbis e' um formato de áudio aberto de propósito geral,
não-proprietário e isento de patentes e royalties, para áudio e musica
de alta qualidade (44.1-48.0kHz, 16+ bit, polifonico) com bitrate fixo
ou variável de 16 a 128 kbps/canal. Isso coloca Vorbis na mesma
categoria de MPEG-1 audio layer 3, MPEG-3 audio (AAC e TwinVQ) e PAQ.

%package devel
Summary:	Development files for Ogg Vorbis library
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja developerska
Summary(pt_BR.UTF-8):	Bibliotecas para desenvolvimento com o Vorbis
Summary(ru.UTF-8):	Библиотека Vorbis - Разработка
Summary(uk.UTF-8):	Бібліотека Vorbis - Розробка
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libogg-devel >= 2:1.0
Obsoletes:	libvorbis0-devel

%description devel
The libvorbis-devel package contains the header files and
documentation needed to develop applications with libvorbis.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja developerska potrzebna do rozwijania
aplikacji korzystających z biblioteki libvorbis.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para desenvolvimento com o codec
Vorbis.

%description devel -l ru.UTF-8
Пакет libvorbis-devel содержит файлы заголовков и документацию для
разработки программ с libvorbis.

%description devel -l uk.UTF-8
Пакет libvorbis-devel містить файли заголовків та документацію для
розробки програм з libvorbis.

%package static
Summary:	Static development library for Ogg Vorbis
Summary(es.UTF-8):	Bibliotecas estáticas
Summary(pl.UTF-8):	Biblioteka statyczna Ogg Vorbis
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com o Vorbis
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
The libvorbis-static package contains the static libraries of
libvorbis.

%description static -l pl.UTF-8
Biblioteka statyczna Ogg Vorbis.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com o codec Vorbis.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

mv -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} devel-docs

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES COPYING README
%attr(755,root,root) %{_libdir}/libvorbis.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvorbis.so.0
%attr(755,root,root) %{_libdir}/libvorbisenc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvorbisenc.so.2
%attr(755,root,root) %{_libdir}/libvorbisfile.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvorbisfile.so.3

%files devel
%defattr(644,root,root,755)
%doc devel-docs/*
%attr(755,root,root) %{_libdir}/libvorbis.so
%attr(755,root,root) %{_libdir}/libvorbisenc.so
%attr(755,root,root) %{_libdir}/libvorbisfile.so
%{_libdir}/libvorbis.la
%{_libdir}/libvorbisenc.la
%{_libdir}/libvorbisfile.la
%{_includedir}/vorbis
%{_aclocaldir}/vorbis.m4
%{_pkgconfigdir}/vorbis.pc
%{_pkgconfigdir}/vorbisenc.pc
%{_pkgconfigdir}/vorbisfile.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libvorbis.a
%{_libdir}/libvorbisenc.a
%{_libdir}/libvorbisfile.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libvorbis.spec,v $
Revision 1.55  2012/02/08 18:23:05  qboosh
- updated to 1.3.3

Revision 1.54  2010/11/03 21:00:16  qboosh
- sort BRs

Revision 1.53  2010/11/03 20:58:15  qboosh
- updated to 1.3.2

Revision 1.52  2010/04/11 19:36:29  qboosh
- updated to 1.3.1

Revision 1.51  2009/10/01 04:44:14  qboosh
- ac/am versions

Revision 1.50  2009/08/02 10:10:13  megabajt
- updated to 1.2.3

Revision 1.49  2009/07/01 20:24:30  megabajt
- updated to 1.2.2
- removed -security-fixes.patch (applied upstream)

Revision 1.48  2009/05/06 20:12:19  megabajt
- release 5

Revision 1.47  2009/05/03 15:33:08  sparky
- rel 4, STBR

Revision 1.46  2008/05/16 18:37:53  megabajt
- added -security-fixes.patch [CVE-2008-1419, CVE-2008-1420, CVE-2008-1423]
- more verbose files
- release 3

Revision 1.45  2007-12-28 09:11:55  glen
- rel 2

Revision 1.44  2007-08-05 13:08:17  qboosh
- include CHANGES in doc

Revision 1.43  2007/08/05 12:29:48  qboosh
- updated to 1.2.0 (fixes CVE-2007-3106 CVE-2007-4029)

Revision 1.42  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.41  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.40  2006/11/25 13:29:37  arekm
- rel 2

Revision 1.39  2005/12/03 18:44:25  qboosh
- updated to 1.1.2

Revision 1.38  2005/07/02 09:42:44  qboosh
- updated to 1.1.1 (bug and docs fixes)

Revision 1.37  2005/05/03 13:42:55  pluto
- release 2 for Th.

Revision 1.36  2004/10/28 11:36:31  paladine
- "Ogg" and "Vorbis" unification

Revision 1.35  2004/10/17 17:38:24  qboosh
- updated to 1.1.0, updated make patch, removed obsolete am18 patch
- new Source0 URL

Revision 1.34  2003/12/18 08:49:20  wiget
- underquote fix in vorbis.m4
- release 2

Revision 1.33  2003/11/22 00:43:49  qboosh
- updated to 1.0.1
- new URLs, removed obsolete testfix patch

Revision 1.32  2003/10/17 19:11:04  qboosh
- added testfix patch (fixes broken, SEGV-generating test program in vorbis.m4)
- dropped gcc 2.95 bug-compatibility, BR fixed gcc (3.x) instead
- release 6

Revision 1.31  2003/06/23 20:43:05  jareq
- fixed epoch:version issue

Revision 1.30  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.29  2003/05/25 05:50:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/01/19 11:39:08  gotar
- changed libs group from Development/Libraries to Libraries

Revision 1.27  2002/11/25 14:17:07  ankry
- massive attack: no need for 755 for *.la

Revision 1.26  2002/09/28 12:50:54  kloczek
- release 5.

Revision 1.25  2002/09/28 12:34:33  fastviper

- Requires libogg in the same version
- BuildRequires libogg-devel in the same version (removed hardcoded 1.0)

Revision 1.24  2002/08/05 11:31:04  malekith
- license is BSD not GPL
- include COPYING file
- release 4

Revision 1.23  2002/07/21 13:01:51  kloczek
- do not place information about versin in Sumary or %description (Version
  is for this).

Revision 1.22  2002/07/21 12:44:44  wrobell
- fixed br summary
- rel. 3, stb

Revision 1.21  2002/07/20 20:33:13  qboosh
- removed Makefiles from doc, release 2

Revision 1.20  2002/07/20 15:34:40  wrobell
- ver. 1.0
- new doc

Revision 1.19  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.18  2002/05/21 23:14:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/05/11 20:49:01  kloczek
- release 2: merge translations from KSI and Conectiva.

Revision 1.16  2002/05/11 17:03:55  qboosh
- fixed Source0 URL

Revision 1.15  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.14  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:13:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2002/01/03 09:44:43  ankry
- version 1.0rc3

Revision 1.10  2002/01/02 17:28:30  kloczek
- release 3: libvorbis0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.9  2001/10/26 22:27:42  qboosh
- don't use -mno-ieee-fp on i686
  (workaround for gcc 2.91-2.95.4 bug causing SIG11/ICE on i686)
- adapterized, buildrequire libtool only once ;)
- release 2

Revision 1.8  2001/08/15 19:26:45  kloczek
- updated to 1.0rc2.

Revision 1.7  2001/06/27 10:26:20  misiek
- updated to 1.0rc1

Revision 1.6  2001/05/08 08:15:46  kloczek
- added missing BuildRequires: libtool.

Revision 1.5  2001/04/30 16:58:26  kloczek
- release 1.

Revision 1.4  2001/04/30 16:36:05  qboosh
- moved *.la to devel
- BuildRequires: libogg-devel; libvorbis-devel Requires: libogg-devel
- release 0.2

Revision 1.3  2001/04/28 23:20:53  misiek
- updated to 1.0beta4
- link dynamicly with libogg

Revision 1.2  2000/10/31 22:48:40  kloczek
- adapterized and partialy rewrited but without testing.

Revision 1.1  2000/10/29 15:59:15  pascalek
- initial release
